Patch client workflow customization
Update per-client workflow overrides (template, delay, priority, send time mode/hour/minute) with validation and audit logging.
PATCH
/
client
/
workflows
/
{workflow_id}
/
customization
Patch client workflow customization
curl --request PATCH \
--url https://api.mailerpath.com/api/v1/client/workflows/{workflow_id}/customization \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"delay_minutes": 123,
"preferred_send_hour": 123,
"preferred_send_minute": 123,
"priority_score": 123,
"template_id": 123
}
'import requests
url = "https://api.mailerpath.com/api/v1/client/workflows/{workflow_id}/customization"
payload = {
"delay_minutes": 123,
"preferred_send_hour": 123,
"preferred_send_minute": 123,
"priority_score": 123,
"template_id": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
delay_minutes: 123,
preferred_send_hour: 123,
preferred_send_minute: 123,
priority_score: 123,
template_id: 123
})
};
fetch('https://api.mailerpath.com/api/v1/client/workflows/{workflow_id}/customization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"delay_minutes": 123,
"preferred_send_hour": 123,
"preferred_send_minute": 123,
"priority_score": 123,
"template_id": 123
},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}{
"data": {},
"errors": [
{
"condition": "format",
"error": "Invalid email format",
"key": "email"
}
],
"message": "Operation successful",
"meta": {},
"success": true
}Authorizations
JWT Bearer token or raw API key via Authorization header
Path Parameters
Workflow ID
Body
application/json
Customization payload
⌘I
Patch client workflow customization

